Package org.apache.commons.lang

# Class CharEncoding

java.lang.Object
org.apache.commons.lang.CharEncoding

public class CharEncoding extends Object

Character encoding names required of every implementation of the Java platform.

According to JRE character encoding names:

Every implementation of the Java platform is required to support the following character encodings. Consult the release documentation for your implementation to see if any other encodings are supported.

Since:
  2.1
Version:
  $Id: CharEncoding.java 437554 2006-08-28 06:21:41Z bayard $
See Also:
  - JRE character encoding names

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ISO_8859_1`
ISO Latin Alphabet #1, also known as ISO-LATIN-1.
`static final String`
`US_ASCII`
Seven-bit ASCII, also known as ISO646-US, also known as the Basic Latin block of the Unicode character set.
`static final String`
`UTF_16`
Sixteen-bit Unicode Transformation Format, byte order specified by a mandatory initial byte-order mark (either order accepted on input, big-endian used on output).
`static final String`
`UTF_16BE`
Sixteen-bit Unicode Transformation Format, big-endian byte order.
`static final String`
`UTF_16LE`
Sixteen-bit Unicode Transformation Format, little-endian byte order.
`static final String`
`UTF_8`
Eight-bit Unicode Transformation Format.

## Constructor Summary

Constructors
Constructor
Description
`CharEncoding()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isSupported(String name)`
Returns whether the named charset is supported.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ISO_8859_1

public static final String ISO_8859_1

ISO Latin Alphabet #1, also known as ISO-LATIN-1.

Every implementation of the Java platform is required to support this character encoding.

See Also:
  - JRE character encoding names
  - Constant Field Values

### US_ASCII

public static final String US_ASCII

Seven-bit ASCII, also known as ISO646-US, also known as the Basic Latin block of the Unicode character set.

Every implementation of the Java platform is required to support this character encoding.

See Also:
  - JRE character encoding names
  - Constant Field Values

### UTF_16

public static final String UTF_16

Sixteen-bit Unicode Transformation Format, byte order specified by a mandatory initial byte-order mark (either order accepted on input, big-endian used on output).

Every implementation of the Java platform is required to support this character encoding.

See Also:
  - JRE character encoding names
  - Constant Field Values

### UTF_16BE

public static final String UTF_16BE

Sixteen-bit Unicode Transformation Format, big-endian byte order.

Every implementation of the Java platform is required to support this character encoding.

See Also:
  - JRE character encoding names
  - Constant Field Values

### UTF_16LE

public static final String UTF_16LE

Sixteen-bit Unicode Transformation Format, little-endian byte order.

Every implementation of the Java platform is required to support this character encoding.

See Also:
  - JRE character encoding names
  - Constant Field Values

### UTF_8

public static final String UTF_8

Eight-bit Unicode Transformation Format.

Every implementation of the Java platform is required to support this character encoding.

See Also:
  - JRE character encoding names
  - Constant Field Values

## Constructor Details

### CharEncoding

public CharEncoding()

## Method Details

### isSupported

public static boolean isSupported(String name)

Returns whether the named charset is supported.

This is similar to java.nio.charset.Charset.isSupported(String)

Parameters:
  `name` - the name of the requested charset; may be either a canonical name or an alias
Returns:
  `true` if, and only if, support for the named charset is available in the current Java virtual machine
See Also:
  - JRE character encoding names